Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::CharConvertor Struct Reference

Converts character to/from a string. More...

`#include <FieldConvertors.h>`

List of all members.

## Static Public Member Functions

static std::string | convert (char value)
static bool | convert (const std::string &value, char &result)
static char | convert (const std::string &value) throw ( FieldConvertError )

## Detailed Description

Converts character to/from a string.

Definition at line 305 of file FieldConvertors.h.

## Member Function Documentation

static char FIX::CharConvertor::convert | ( | const std::string & | value | ) | throw ( FieldConvertError )`[inline, static]`

Definition at line 320 of file FieldConvertors.h.

References convert().

    00322   {
    00323     char result = '\0';
    00324     if( !convert( value, result ) )
    00325       throw FieldConvertError();
    00326     else
    00327       return result;
    00328   }

static bool FIX::CharConvertor::convert | ( | const std::string & | value,
|  | char & | result |
| ) |  |  | `[inline, static]`

Definition at line 313 of file FieldConvertors.h.

    00314   {
    00315     if( value.size() != 1 ) return false;
    00316     result = value[0];
    00317     return true;
    00318   }

static std::string FIX::CharConvertor::convert | ( | char | value | ) | `[inline, static]`

Definition at line 307 of file FieldConvertors.h.

Referenced by FIX::DataDictionary::checkValidFormat(), and convert().

    00308   {
    00309     if( value == '\0' ) return "";
    00310     return std::string( 1, value );
    00311   }

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/FieldConvertors.h